Flecs: Systems
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Systems
C++ API » Addons

Systems are a query and a function that can be run manually or by a pipeline. More...

Collaboration diagram for Systems:

## Namespaces
namespace | flecs::_
| Int to enum.

## Classes
struct | flecs::system_builder< Components >
| System builder. More...
struct | flecs::system_builder_i< Base, Components >
| System builder interface. More...
struct | flecs::system_runner_fluent
| Fluent interface for running a system. More...
struct | flecs::system
| System. More...

## Typedefs
using | flecs::TickSource = EcsTickSource
| Tick source component.

## Functions
void | flecs::_::system_init (flecs::world &world)
flecs::system | flecs::world::system (flecs::entity e) const
| Upcast an entity to a system.
template<typename... Components, typename... Args>
flecs::system_builder< Components... > | system (Args &&... args) const
| Create a new system.

## Detailed Description

Systems are a query and a function that can be run manually or by a pipeline.

## Typedef Documentation

## ◆ TickSource

using flecs::TickSource = EcsTickSource

Tick source component.

Definition at line 19 of file decl.hpp.

## Function Documentation

## ◆ system() [1/2]

template<typename... Components, typename... Args>

flecs::system_builder< Components... > system | ( | Args &&... | args | ) | const
| related

Create a new system.

Template Parameters

  Components | The components to match on.
  Args | Arguments passed to the constructor of flecs::system_builder.

Returns
  A system builder.

## ◆ system() [2/2]

system flecs::world::system | ( | flecs::entity | e | ) | const
| inline

Upcast an entity to a system.

Mixin implementation.

The provided entity must be a system.

Parameters

  e | The entity.

Returns
  A system object.

Definition at line 147 of file impl.hpp.

## ◆ system_init()

void flecs::_::system_init | ( | flecs::world & | world | ) |
| inline

Definition at line 183 of file impl.hpp.